import type { GetUserProjectsQuery, GetUserProjectsQueryVariables } from "../generated/graphql/graphql"
import { graphqlClient } from "./graphql-client"
import { getUserProjectsGQL } from "./gql"

(async () => {
    const result = await graphqlClient.request<GetUserProjectsQuery, GetUserProjectsQueryVariables>(getUserProjectsGQL)
    console.log(result.demo_users.map(user => user?.projects?.map(project => project?.demo_projects_id)))
})()
